//.################################################
//# Copyright © 2006-2010 Evolving Software Ltd   #
//# Author: Vijay Patel                           #
//################################################'

using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Text;

using TestApplicationDomainModel;

using Evolving.DomainTypes;
using Evolving.TrueView.Domain.Attributes;
using Evolving.TrueView.UI;
using System.Drawing;
using System.Windows.Forms;

namespace TestApplication
{

    public class MethodTestsPresenter : IPresenterInfrastructureService<MethodTests>
    {

        public void ApplyStyle(MethodTests domainObject, System.Reflection.MemberInfo memberInfo, IStyleArgs memberStyle)
        {
            switch (memberInfo.Name)
            {
                case "LongRunningAsyncMethod":
                    memberStyle.IconName = "Currency";
                    memberStyle.ToolTipText = "This button's icon should have changed";
                    break;

            }
        }

        public void ApplyStyle(MethodTests domainObject, IStyleArgs objectStyle)
        {
        }


        public Control CreateAdornmentFor(MethodTests domainObject)
        {
            return null;
        }

        public Control CreateAdornmentFor(MethodTests domainObject, System.Reflection.PropertyInfo propertyInfo)
        {
            return null;
        }

        public Control CreateViewFor(MethodTests domainObject)
        {
            return null;
        }

    }
}
